from base64 import b64decode
from re import findall

from constants.regex import WEBHOOK_REGEX

def base64_decode_then_filter(encoded_strings):
    results = []
    
    for encoded_string in encoded_strings:
        try:
            decoded = b64decode(encoded_string).decode('utf-8', errors='ignore')
            webhooks = findall(WEBHOOK_REGEX, decoded)
            results.extend(webhooks)
        except:
            pass
    
    return results
